Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Panel for Xfce 4
Name: 		xfce4-panel
Version:	4.6.4
Release:	1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: exo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
xfce4-panel is the panel for the Xfce desktop environment

%package	devel
Summary:	developpment headers for xfce4-panel
Group: 		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files to build plugins for xfce4-panel.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS HACKING
%{_sysconfdir}/xfce/xdg/xfce4/panel
%{_bindir}/xfce4-panel
%{_bindir}/xfce4-popup-windowlist
%{_libdir}/libxfce4panel.so.*
%{_libdir}/xfce4/panel-plugins/libactions.so
%{_libdir}/xfce4/panel-plugins/libclock.so
%{_libdir}/xfce4/panel-plugins/libiconbox.so
%{_libdir}/xfce4/panel-plugins/liblauncher.so
%{_libdir}/xfce4/panel-plugins/libpager.so
%{_libdir}/xfce4/panel-plugins/libseparator.so
%{_libdir}/xfce4/panel-plugins/libshowdesktop.so
%{_libdir}/xfce4/panel-plugins/libsystray.so
%{_libdir}/xfce4/panel-plugins/libtasklist.so
%{_libdir}/xfce4/panel-plugins/libwindowlist.so
%{_applications}/xfce4-panel-manager.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-panel.png
%{_datadir}/icons/hicolor/*/apps/xfce-system-exit.png
%{_datadir}/icons/hicolor/*/apps/xfce-system-lock.png
%{_datadir}/icons/hicolor/*/apps/xfce4-clock.png
%{_datadir}/icons/hicolor/*/apps/xfce4-iconbox.png
%{_datadir}/icons/hicolor/*/apps/xfce4-separator.png
%{_datadir}/icons/hicolor/*/apps/xfce4-systray.png
%{_datadir}/icons/hicolor/*/apps/xfce4-taskbar.png
%{_datadir}/icons/hicolor/*/apps/xfce-mouse.png
%{_locale}/*/LC_MESSAGES/xfce4-panel.mo
%{_datadir}/xfce4/panel-plugins/actions.desktop
%{_datadir}/xfce4/panel-plugins/clock.desktop
%{_datadir}/xfce4/panel-plugins/iconbox.desktop
%{_datadir}/xfce4/panel-plugins/launcher.desktop
%{_datadir}/xfce4/panel-plugins/pager.desktop
%{_datadir}/xfce4/panel-plugins/separator.desktop
%{_datadir}/xfce4/panel-plugins/showdesktop.desktop
%{_datadir}/xfce4/panel-plugins/systray.desktop
%{_datadir}/xfce4/panel-plugins/tasklist.desktop
%{_datadir}/xfce4/panel-plugins/windowlist.desktop

%files devel
%defattr(-, root, root)
%{_includedir}/xfce4/libxfce4panel/libxfce4panel-enum-types.h
%{_includedir}/xfce4/libxfce4panel/libxfce4panel.h
%{_includedir}/xfce4/libxfce4panel/xfce-arrow-button.h
%{_includedir}/xfce4/libxfce4panel/xfce-hvbox.h
%{_includedir}/xfce4/libxfce4panel/xfce-itembar.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-convenience.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-enums.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-external-plugin.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-internal-plugin.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-macros.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-plugin.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-plugin-iface.h
%{_includedir}/xfce4/libxfce4panel/xfce-panel-window.h
%{_libdir}/libxfce4panel.la
%{_libdir}/libxfce4panel.so
%{_pkgconfig}/libxfce4panel-1.0.pc
%{_libdir}/xfce4/panel-plugins/libactions.la
%{_libdir}/xfce4/panel-plugins/libclock.la
%{_libdir}/xfce4/panel-plugins/libiconbox.la
%{_libdir}/xfce4/panel-plugins/liblauncher.la
%{_libdir}/xfce4/panel-plugins/libpager.la
%{_libdir}/xfce4/panel-plugins/libseparator.la
%{_libdir}/xfce4/panel-plugins/libshowdesktop.la
%{_libdir}/xfce4/panel-plugins/libsystray.la
%{_libdir}/xfce4/panel-plugins/libtasklist.la
%{_libdir}/xfce4/panel-plugins/libwindowlist.la
%{_datadir}/gtk-doc/html/libxfce4panel
%{_datadir}/xfce4/doc/C/images/add_item_dialog.png
%{_datadir}/xfce4/doc/C/images/default_bottom_panel.png
%{_datadir}/xfce4/doc/C/images/default_top_panel.png
%{_datadir}/xfce4/doc/C/images/item_popup.png
%{_datadir}/xfce4/doc/C/images/launcher_properties.png
%{_datadir}/xfce4/doc/C/images/panel_manager.png
%{_datadir}/xfce4/doc/C/xfce4-panel.html

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.4-1
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.5.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.3-1
- Version update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release

